summaryrefslogtreecommitdiff
path: root/tests/cp/no-deref-link1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-06-22 03:50:14 +0000
committerJim Meyering <jim@meyering.net>1997-06-22 03:50:14 +0000
commit3841b591c1e38ab7326947b07712929a4c7986f8 (patch)
treed7db29b2bd361a9346714d5168c0dc29bd83e1b8 /tests/cp/no-deref-link1
parente8b0678fede1780b63c8fee962924ee58c80d87b (diff)
downloadcoreutils-3841b591c1e38ab7326947b07712929a4c7986f8.tar.xz
.
Diffstat (limited to 'tests/cp/no-deref-link1')
-rwxr-xr-xtests/cp/no-deref-link122
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/cp/no-deref-link1 b/tests/cp/no-deref-link1
new file mode 100755
index 000000000..96f2452ad
--- /dev/null
+++ b/tests/cp/no-deref-link1
@@ -0,0 +1,22 @@
+#!/bin/sh
+# FIXME: This test requires ln -s.
+# cp from 3.16 fails this test
+
+rm -rf a b
+mkdir a b
+msg=bar
+echo $msg > a/foo
+cd b
+ln -s ../a/foo .
+cd ..
+
+# It should fail with a message something like this:
+# ./cp: `a/foo' and `b/foo' are the same file
+./cp -d a/foo b 2>/dev/null
+
+# Fail this test if the exit status is not 1
+test $? = 1 || exit 1
+
+test "`cat a/foo`" = bar || exit 1
+
+exit 0